Page MenuHomePhabricator

Deepcat documentation
Closed, ResolvedPublic

Description

Deepcat documentation is missing. Please fix the redlinks at https://wikitech.wikimedia.org/wiki/Nova_Resource:Catgraph/Deepcat. They go to a subpage of https://de.wikipedia.org/w/index.php?title=User:Christoph Fischer (WMDE)

Requested per [[help talk:cirrusSearch]] https://www.mediawiki.org/wiki/Topic:Tk1o95fvoqgkneol

Event Timeline

Cpiral created this task.Jan 30 2017, 12:28 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJan 30 2017, 12:28 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Speravir added a subscriber: Speravir.EditedJan 30 2017, 1:16 AM

I am the one, who requested an update of Help:CirrusSearch in MediaWiki and indirectly also of Nova Resource:Catgraph/Deepcat in Wikitech. Unfortunately Cpiral mixed up a bit of my request, but once, it’s started now:

Note: “Benutzer” is the German localisation of “User”. The links work with either of them.

CSS is fetched internally now from global upstream https://de.wikipedia.org/wiki/MediaWiki:Gadget-DeepCat.css and must not be mentioned downstream any longer.

Script to be loaded is https://de.wikipedia.org/wiki/MediaWiki:Gadget-DeepCat.js and might be loaded within a one-line local gadget definition.

English documentation may be translated from: https://de.wikipedia.org/wiki/H:Suche/Deepcat

URL with Benutzer came from development era, may be used internally for tests and further developments now and must not be mentioned or loaded anywhere outside.

Would someone please implement either a redirect or a tech-news item?

The deepcat gadget must now be broken since the path changed
from
//de.wikipedia.org/wiki/User:Christoph Fischer (WMDE)/Gadgets/DeepCat.js
to
//de.wikipedia.org/wiki/MediaWiki:Gadget-DeepCat.js

And its users still have the old path in their Custom JavaScript, so it will remain broke until they check the now-updated Help:CirrusSearch.

Would someone please implement either a redirect or a tech-news item?

Christoph “WMDE-Fisch” Fischer has changed the script version on his user page yesterday. Now it loads the Gadget version and adds a warning for the outdated usage. The hint on Help:CirrusSearch has been updated by you, so these parts are fixed.

I just updated the text on Nova Resource:Catgraph/Deepcat to link to the current official script code.

@Cpiral as stated above, the code on the user page is updated and will automatically redirect to the current version of the code. Even if users try to use the deprecated way to load the gadget it should work just fine. :-)

WMDE-Fisch moved this task from Proposed to Currently in sprint on the WMDE-QWERTY-Team board.
WMDE-Fisch moved this task from Incoming to Catgraph/Deepcat on the TCB-Team board.Feb 3 2017, 3:43 PM
WMDE-Fisch closed this task as Resolved.Feb 21 2017, 9:58 AM
WMDE-Fisch moved this task from Currently in sprint to Done on the WMDE-QWERTY-Team board.
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Feb 24 2017, 3:35 PM
Speravir removed a subscriber: Speravir.May 20 2019, 9:24 PM